Package org.eclipse.graphiti.ui.internal.policy

# Class ResourceManagingGraphicalEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.GraphicalEditPolicy
org.eclipse.graphiti.ui.internal.policy.ResourceManagingGraphicalEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

Direct Known Subclasses:
  `GFSnapFeedbackPolicy`

public abstract class ResourceManagingGraphicalEditPolicy extends org.eclipse.gef.editpolicies.GraphicalEditPolicy

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`ResourceManagingGraphicalEditPolicy()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`disposeFigure(org.eclipse.draw2d.IFigure figure)`
`protected IResourceRegistry`
`getResourceRegistry()`
`protected org.eclipse.swt.graphics.Color`
`manageColor(org.eclipse.swt.graphics.Color color)`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHost, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getCommand, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceManagingGraphicalEditPolicy

public ResourceManagingGraphicalEditPolicy()

## Method Details

### disposeFigure

protected void disposeFigure(org.eclipse.draw2d.IFigure figure)

### manageColor

protected org.eclipse.swt.graphics.Color manageColor(org.eclipse.swt.graphics.Color color)

### getResourceRegistry

protected IResourceRegistry getResourceRegistry()